Subject: bug#41541: [PATCH 8/8] system: Add `hurd-activation'.

From: Mathieu Othacehe <[email-masked]>
Date: Sat, 06 Jun 2020 10:03:16 +0200

>  (define (activation-script gexps)
>    "Return the system's activation script, which evaluates GEXPS."
> +  (program-file "activate.scm" (if (hurd-target?)
> +                                   (hurd-activation-script gexps)
> +                                   (gnu/linux-activation-script gexps))))

"hurd-target?" is using %current-target-system. It would be safer to use
let-system here I guess.

I think Ludo will have some more comments, but let me say again that you
are doing a great job here, many thanks!

Mathieu